summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authordpopat <dpopat@jelly.ad.hdfgroup.org>2019-07-24 19:29:57 (GMT)
committerdpopat <dpopat@jelly.ad.hdfgroup.org>2019-07-24 19:29:57 (GMT)
commitead5801deafa4955b6438324794940d757a6a2c5 (patch)
tree5c00b9a63b07422f91d7abcd8f2124e97bb7a242 /tools
parent11accd4c230c0a0545677da46ec31bddd9b2e504 (diff)
downloadhdf5-ead5801deafa4955b6438324794940d757a6a2c5.zip
hdf5-ead5801deafa4955b6438324794940d757a6a2c5.tar.gz
hdf5-ead5801deafa4955b6438324794940d757a6a2c5.tar.bz2
Removed h5cc & h5redeploy in tools/misc
Diffstat (limited to 'tools')
-rw-r--r--tools/misc/Makefile.am8
-rw-r--r--tools/misc/Makefile.in143
-rw-r--r--tools/misc/h5cc.in399
-rw-r--r--tools/misc/h5redeploy.in216
4 files changed, 46 insertions, 720 deletions
diff --git a/tools/misc/Makefile.am b/tools/misc/Makefile.am
index d522f64..9e8ee66 100644
--- a/tools/misc/Makefile.am
+++ b/tools/misc/Makefile.am
@@ -36,16 +36,12 @@ SCRIPT_DEPEND=h5repart$(EXEEXT) h5mkgrp$(EXEEXT)
# These are our main targets, the tools
bin_PROGRAMS=h5debug h5repart h5mkgrp
-bin_SCRIPTS=h5redeploy
# Add h5debug, h5repart, and h5mkgrp specific linker flags here
h5debug_LDFLAGS = $(LT_STATIC_EXEC) $(AM_LDFLAGS)
h5repart_LDFLAGS = $(LT_STATIC_EXEC) $(AM_LDFLAGS)
h5mkgrp_LDFLAGS = $(LT_STATIC_EXEC) $(AM_LDFLAGS)
-# Tell automake to clean h5redeploy script
-CLEANFILES=h5redeploy
-
# Temporary files. *.h5 are generated by h5repart_gentest. They should
# copied to the testfiles/ directory if update is required. fst_family*.h5
# and scd_family*.h5 were created by setting the HDF5_NOCLEANUP variable.
@@ -70,8 +66,4 @@ install-exec-local:
uninstall-local:
@$(RM) $(DESTDIR)$(bindir)/$(H5CC_NAME)
-# How to build h5redeploy script
-h5redeploy: h5redeploy.in
- @cp $(srcdir)/$@.in $@
-
include $(top_srcdir)/config/conclude.am
diff --git a/tools/misc/Makefile.in b/tools/misc/Makefile.in
index 50e2d11..053ac2b 100644
--- a/tools/misc/Makefile.in
+++ b/tools/misc/Makefile.in
@@ -29,7 +29,6 @@
# HDF5 Library Makefile(.in)
#
-
VPATH = @srcdir@
am__is_gnu_make = { \
if test -z '$(MAKELEVEL)'; then \
@@ -116,9 +115,9 @@ am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/bin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/H5config.h
-CONFIG_CLEAN_FILES = h5cc testh5mkgrp.sh testh5repart.sh
+CONFIG_CLEAN_FILES = testh5mkgrp.sh testh5repart.sh
CONFIG_CLEAN_VPATH_FILES =
-am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
+am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
h5debug_SOURCES = h5debug.c
h5debug_OBJECTS = h5debug.$(OBJEXT)
@@ -149,34 +148,6 @@ repart_test_SOURCES = repart_test.c
repart_test_OBJECTS = repart_test.$(OBJEXT)
repart_test_LDADD = $(LDADD)
repart_test_DEPENDENCIES = $(LIBH5TOOLS) $(LIBHDF5)
-am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
-am__vpath_adj = case $$p in \
- $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
- *) f=$$p;; \
- esac;
-am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
-am__install_max = 40
-am__nobase_strip_setup = \
- srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
-am__nobase_strip = \
- for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
-am__nobase_list = $(am__nobase_strip_setup); \
- for p in $$list; do echo "$$p $$p"; done | \
- sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
- $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
- if (++n[$$2] == $(am__install_max)) \
- { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
- END { for (dir in files) print dir, files[dir] }'
-am__base_list = \
- sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
- sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
-am__uninstall_files_from_dir = { \
- test -z "$$files" \
- || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
- || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
- $(am__cd) "$$dir" && rm -f $$files; }; \
- }
-SCRIPTS = $(bin_SCRIPTS)
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
@@ -259,6 +230,33 @@ am__tty_colors = { \
std=''; \
fi; \
}
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+ $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+ *) f=$$p;; \
+ esac;
+am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
+am__install_max = 40
+am__nobase_strip_setup = \
+ srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
+am__nobase_strip = \
+ for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
+am__nobase_list = $(am__nobase_strip_setup); \
+ for p in $$list; do echo "$$p $$p"; done | \
+ sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
+ $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
+ if (++n[$$2] == $(am__install_max)) \
+ { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
+ END { for (dir in files) print dir, files[dir] }'
+am__base_list = \
+ sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
+ sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
+am__uninstall_files_from_dir = { \
+ test -z "$$files" \
+ || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
+ || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
+ $(am__cd) "$$dir" && rm -f $$files; }; \
+ }
am__recheck_rx = ^[ ]*:recheck:[ ]*
am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
@@ -410,10 +408,10 @@ am__set_b = \
*) \
b='$*';; \
esac
-am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/h5cc.in \
- $(srcdir)/testh5mkgrp.sh.in $(srcdir)/testh5repart.sh.in \
- $(top_srcdir)/bin/depcomp $(top_srcdir)/bin/mkinstalldirs \
- $(top_srcdir)/bin/test-driver $(top_srcdir)/config/commence.am \
+am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/testh5mkgrp.sh.in \
+ $(srcdir)/testh5repart.sh.in $(top_srcdir)/bin/depcomp \
+ $(top_srcdir)/bin/mkinstalldirs $(top_srcdir)/bin/test-driver \
+ $(top_srcdir)/config/commence.am \
$(top_srcdir)/config/conclude.am
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
@@ -696,16 +694,12 @@ CHECK_CLEANFILES = *.chkexe *.chklog *.clog *.clog2 *.h5 \
../testfiles/fst_family*.h5 ../testfiles/scd_family*.h5
check_SCRIPTS = $(TEST_SCRIPT)
SCRIPT_DEPEND = h5repart$(EXEEXT) h5mkgrp$(EXEEXT)
-bin_SCRIPTS = h5redeploy
# Add h5debug, h5repart, and h5mkgrp specific linker flags here
h5debug_LDFLAGS = $(LT_STATIC_EXEC) $(AM_LDFLAGS)
h5repart_LDFLAGS = $(LT_STATIC_EXEC) $(AM_LDFLAGS)
h5mkgrp_LDFLAGS = $(LT_STATIC_EXEC) $(AM_LDFLAGS)
-# Tell automake to clean h5redeploy script
-CLEANFILES = h5redeploy
-
# These were generated by configure. Remove them only when distclean.
DISTCLEANFILES = h5cc testh5repart.sh
@@ -771,8 +765,6 @@ $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
-h5cc: $(top_builddir)/config.status $(srcdir)/h5cc.in
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
testh5mkgrp.sh: $(top_builddir)/config.status $(srcdir)/testh5mkgrp.sh.in
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
testh5repart.sh: $(top_builddir)/config.status $(srcdir)/testh5repart.sh.in
@@ -851,41 +843,6 @@ h5repart$(EXEEXT): $(h5repart_OBJECTS) $(h5repart_DEPENDENCIES) $(EXTRA_h5repart
repart_test$(EXEEXT): $(repart_test_OBJECTS) $(repart_test_DEPENDENCIES) $(EXTRA_repart_test_DEPENDENCIES)
@rm -f repart_test$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(repart_test_OBJECTS) $(repart_test_LDADD) $(LIBS)
-install-binSCRIPTS: $(bin_SCRIPTS)
- @$(NORMAL_INSTALL)
- @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
- fi; \
- for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
- done | \
- sed -e 'p;s,.*/,,;n' \
- -e 'h;s|.*|.|' \
- -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
- $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
- { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
- if ($$2 == $$4) { files[d] = files[d] " " $$1; \
- if (++n[d] == $(am__install_max)) { \
- print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
- else { print "f", d "/" $$4, $$1 } } \
- END { for (d in files) print "f", d, files[d] }' | \
- while read type dir files; do \
- if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
- test -z "$$files" || { \
- echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
- $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
- } \
- ; done
-
-uninstall-binSCRIPTS:
- @$(NORMAL_UNINSTALL)
- @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
- files=`for p in $$list; do echo "$$p"; done | \
- sed -e 's,.*/,,;$(transform)'`; \
- dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
mostlyclean-compile:
-rm -f *.$(OBJEXT)
@@ -1156,9 +1113,9 @@ check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
-all-am: Makefile $(PROGRAMS) $(SCRIPTS) all-local
+all-am: Makefile $(PROGRAMS) all-local
installdirs:
- for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"; do \
+ for dir in "$(DESTDIR)$(bindir)"; do \
test -z "$$dir" || $(MKDIR_P) "$$dir"; \
done
install: install-am
@@ -1186,7 +1143,6 @@ mostlyclean-generic:
-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
clean-generic:
- -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
@@ -1225,8 +1181,7 @@ install-dvi: install-dvi-am
install-dvi-am:
-install-exec-am: install-binPROGRAMS install-binSCRIPTS \
- install-exec-local
+install-exec-am: install-binPROGRAMS install-exec-local
install-html: install-html-am
@@ -1266,8 +1221,7 @@ ps: ps-am
ps-am:
-uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS \
- uninstall-local
+uninstall-am: uninstall-binPROGRAMS uninstall-local
.MAKE: check-am install-am install-strip
@@ -1277,16 +1231,15 @@ uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS \
distclean distclean-compile distclean-generic \
distclean-libtool distclean-tags distdir dvi dvi-am html \
html-am info info-am install install-am install-binPROGRAMS \
- install-binSCRIPTS install-data install-data-am install-dvi \
- install-dvi-am install-exec install-exec-am install-exec-local \
- install-html install-html-am install-info install-info-am \
- install-man install-pdf install-pdf-am install-ps \
- install-ps-am install-strip installcheck installcheck-am \
- installdirs maintainer-clean maintainer-clean-generic \
- mostlyclean mostlyclean-compile mostlyclean-generic \
- mostlyclean-libtool mostlyclean-local pdf pdf-am ps ps-am \
- recheck tags tags-am uninstall uninstall-am \
- uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-local
+ install-data install-data-am install-dvi install-dvi-am \
+ install-exec install-exec-am install-exec-local install-html \
+ install-html-am install-info install-info-am install-man \
+ install-pdf install-pdf-am install-ps install-ps-am \
+ install-strip installcheck installcheck-am installdirs \
+ maintainer-clean maintainer-clean-generic mostlyclean \
+ mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
+ mostlyclean-local pdf pdf-am ps ps-am recheck tags tags-am \
+ uninstall uninstall-am uninstall-binPROGRAMS uninstall-local
.PRECIOUS: Makefile
@@ -1312,10 +1265,6 @@ install-exec-local:
@$(INSTALL) h5cc $(DESTDIR)$(bindir)/$(H5CC_NAME)
uninstall-local:
@$(RM) $(DESTDIR)$(bindir)/$(H5CC_NAME)
-
-# How to build h5redeploy script
-h5redeploy: h5redeploy.in
- @cp $(srcdir)/$@.in $@
# lib/progs/tests targets recurse into subdirectories. build-* targets
# build files in this directory.
build-lib: $(LIB)
diff --git a/tools/misc/h5cc.in b/tools/misc/h5cc.in
deleted file mode 100644
index 9c4e3ca..0000000
--- a/tools/misc/h5cc.in
+++ /dev/null
@@ -1,399 +0,0 @@
-#! /bin/sh
-##
-# Copyright by The HDF Group.
-# Copyright by the Board of Trustees of the University of Illinois.
-# All rights reserved.
-#
-# This file is part of HDF5. The full HDF5 copyright notice, including
-# terms governing use, modification, and redistribution, is contained in
-# the COPYING file, which can be found at the root of the source code
-# distribution tree, or in https://support.hdfgroup.org/ftp/HDF5/releases.
-# If you do not have access to either file, you may request a copy from
-# help@hdfgroup.org.
-##
-
-# This tool is adapted from the mpicc command of the MPICH Software.
-
-############################################################################
-## ##
-## Things You May Have to Modify: ##
-## ##
-## If the following paths don't point to the place were HDF5 is installed ##
-## on your system (i.e., you received a binary distribution or moved the ##
-## files from the originally installed directory to another directory) ##
-## then modify them accordingly to represent the new paths. ##
-## ##
-############################################################################
-prefix="@prefix@"
-exec_prefix="@exec_prefix@"
-libdir="@libdir@"
-includedir="@includedir@"
-HL="@HL@"
-
-############################################################################
-## ##
-## Things You Can Modify to Override HDF5 Library Build Components: ##
-## ##
-## (Advanced usage - know what you're doing - you're on your own here.) ##
-## The four variables below can be used to insert paths and flags in ##
-## CPPFLAGS, CFLAGS, LDFLAGS, or LIBS in the h5cc compile line: ##
-## $CLINKER $H5BLD_CPPFLAGS $CPPFLAGS $H5BLD_CFLAGS $CFLAGS $LDFLAGS ##
-## $LIBS $clibpath $link_objs $link_args $shared_link ##
-## ##
-## These settings can be overriden by setting HDF5_CFLAGS, ##
-## HDF5_CPPFLAGS, HDF5_LDFLAGS, or HDF5_LIBS in the environment. ##
-## ##
-############################################################################
-CFLAGSBASE=""
-CPPFLAGSBASE=""
-LDFLAGSBASE=""
-LIBSBASE=""
-
-############################################################################
-## ##
-## You shouldn't have to modify anything below this line. ##
-## ##
-############################################################################
-
-# Constants definitions
-EXIT_SUCCESS=0
-EXIT_FAILURE=1
-
-host_os="@host_os@"
-
-prog_name="`basename $0`"
-
-allargs=""
-compile_args=""
-libraries=""
-link_args=""
-link_objs=""
-clibpath=""
-
-do_link="yes"
-do_compile="no"
-dash_o="no"
-dash_c="no"
-get_output_file="no"
-
-SHOW="eval"
-CCBASE="@CC@"
-CLINKERBASE="@CC@"
-
-# CFLAGS, CPPFLAGS and LDFLAGS are reserved for use by the script user.
-# FLAGS brought from the hdf5 build are put in H5BLD_*FLAGS.
-
-# User's CPPFLAGS and CFLAGS come after their H5BLD counterparts. User's
-# LDFLAGS come just before clibpath, user's LIBS come after $link_objs and
-# before the hdf5 libraries in $link_args, followed by any external library
-# paths and libraries from AM_LDFLAGS, LDFLAGS, AM_LIBS or LIBS carried in
-# from the hdf5 build. The order of the flags is intended to give precedence
-# to the user's flags.
-H5BLD_CFLAGS="@AM_CFLAGS@ @CFLAGS@"
-H5BLD_CPPFLAGS="@AM_CPPFLAGS@ @CPPFLAGS@"
-H5BLD_LDFLAGS="@AM_LDFLAGS@ @LDFLAGS@"
-H5BLD_LIBS="@LIBS@"
-
-CC="${HDF5_CC:-$CCBASE}"
-CLINKER="${HDF5_CLINKER:-$CLINKERBASE}"
-CFLAGS="${HDF5_CFLAGS:-$CFLAGSBASE}"
-CPPFLAGS="${HDF5_CPPFLAGS:-$CPPFLAGSBASE}"
-LDFLAGS="${HDF5_LDFLAGS:-$LDFLAGSBASE}"
-LIBS="${HDF5_LIBS:-$LIBSBASE}"
-
-# If a static library is available, the default will be to use it. If the only
-# available library is shared, it will be used by default. The user can
-# override either default, although choosing an unavailable library will result
-# in link errors.
-STATIC_AVAILABLE="@enable_static@"
-if test "${STATIC_AVAILABLE}" = "yes"; then
- USE_SHARED_LIB="${HDF5_USE_SHLIB:-no}"
-else
- USE_SHARED_LIB="${HDF5_USE_SHLIB:-yes}"
-fi
-
-
-usage() {
- # A wonderfully informative "usage" message.
- echo "usage: $prog_name [OPTIONS] <compile line>"
- echo " OPTIONS:"
- echo " -help This help message."
- echo " -echo Show all the shell commands executed"
- echo " -prefix=DIR Prefix directory to find HDF5 lib/ and include/"
- echo " subdirectories [default: $prefix]"
- # A wonderfully informative "usage" message.
- echo "usage: $prog_name [OPTIONS] <compile line>"
- echo " OPTIONS:"
- echo " -help This help message."
- echo " -echo Show all the shell commands executed"
- echo " -prefix=DIR Prefix directory to find HDF5 lib/ and include/"
- echo " subdirectories [default: $prefix]"
- echo " -show Show the commands without executing them"
- echo " -showconfig Show the HDF5 library configuration summary"
- echo " -shlib Compile with shared HDF5 libraries [default for hdf5 built"
- echo " without static libraries]"
- echo " -noshlib Compile with static HDF5 libraries [default for hdf5 built"
- echo " with static libraries]"
- echo " "
- echo " <compile line> - the normal compile line options for your compiler."
- echo " $prog_name uses the same compiler you used to compile"
- echo " HDF5. Check with your compiler's man pages for more"
- echo " information on which options are needed."
- echo " "
- echo " You can override the compiler, linker, and whether or not to use static"
- echo " or shared libraries to compile your program by setting the following"
- echo " environment variables accordingly:"
- echo " "
- echo " HDF5_CC - use a different C compiler"
- echo " HDF5_CLINKER - use a different linker"
- echo " HDF5_USE_SHLIB=[yes|no] - use shared or static version of the HDF5 library"
- echo " [default: no except when built with only"
- echo " shared libraries]"
- echo " "
- echo " You can also add or change paths and flags to the compile line using"
- echo " the following environment varibles or by assigning them to their counterparts"
- echo " in the 'Things You Can Modify to Override...'" section of $prog_name
- echo " "
- echo " Variable Current value to be replaced"
- echo " HDF5_CPPFLAGS \"$CPPFLAGSBASE\""
- echo " HDF5_CFLAGS \"$CFLAGSBASE\""
- echo " HDF5_LDFLAGS \"$LDFLAGSBASE\""
- echo " HDF5_LIBS \"$LIBSBASE\""
- echo " "
- echo " Note that adding library paths to HDF5_LDFLAGS where another hdf5 version"
- echo " is located may link your program with that other hdf5 library version."
- echo " "
- exit $EXIT_FAILURE
-}
-
-# Show the configuration summary of the library recorded in the
-# libhdf5.settings file reside in the lib directory.
-showconfigure()
-{
- cat ${libdir}/libhdf5.settings
- status=$?
-}
-
-# Main
-status=$EXIT_SUCCESS
-
-if test "$#" = "0"; then
- # No parameters specified, issue usage statement and exit.
- usage
-fi
-
-case "$CC" in
- gcc)
- kind="gcc"
- ;;
- mpicc|mpcc|mpicc_r)
- # Is this gcc masquarading as an MPI compiler?
- if test "`${CC} -v 2>&1 | sed -n 2p | cut -c1-3`" = "gcc"; then
- kind="gcc"
- else
- # Nope
- kind="$host_os"
- fi
- ;;
- *)
- kind="$host_os"
- ;;
-esac
-
-for arg in $@ ; do
- if test "x$get_output_file" = "xyes"; then
- link_args="$link_args $arg"
- output_file="$arg"
- get_output_file="no"
- continue
- fi
-
- case "$arg" in
- -c)
- allargs="$allargs $arg"
- compile_args="$compile_args $arg"
-
- if test "x$do_link" = "xyes" -a -n "$output_file"; then
- compile_args="$compile_args -o $output_file"
- fi
-
- do_link="no"
- dash_c="yes"
- ;;
- -o)
- allargs="$allargs $arg"
- dash_o="yes"
-
- if test "x$dash_c" = "xyes"; then
- compile_args="$compile_args $arg"
- else
- link_args="$link_args $arg"
- do_link="yes"
- get_output_file="yes"
- fi
- ;;
- -E|-M|-MT)
- allargs="$allargs $arg"
- compile_args="$compile_args $arg"
- dash_c="yes"
- do_link="no"
- ;;
- -l*)
- libraries=" $libraries $arg "
- allargs="$allargs $arg"
- ;;
- -prefix=*)
- prefix="`expr "$arg" : '-prefix=\(.*\)'`"
- ;;
- -echo)
- set -x
- ;;
- -show)
- SHOW="echo"
- ;;
- -showconfig)
- showconfigure
- exit $status
- ;;
- -shlib)
- USE_SHARED_LIB="yes"
- ;;
- -noshlib)
- USE_SHARED_LIB="no"
- ;;
- -help)
- usage
- ;;
- *\"*)
- qarg="'"$arg"'"
- allargs="$allargs $qarg"
- ;;
- *\'*)
- qarg='\"'"$arg"'\"'
- allargs="$allargs $qarg"
- ;;
- *)
- allargs="$allargs $qarg"
-
- if test -s "$arg"; then
- ext=`expr "$arg" : '.*\(\..*\)'`
-
- if test "x$ext" = "x.c"; then
- do_compile="yes"
- compile_args="$compile_args $arg"
- fname=`basename $arg .c`
- link_objs="$link_objs $fname.o"
- elif test "x$ext" = "x.o"; then
- if test "x$dash_c" = "xyes"; then
- compile_args="$compile_args $arg"
- else
- do_link="yes"
- link_objs="$link_objs $arg"
- fi
- elif test "x$ext" = "x.a"; then
- # This is an archive that we're linking in
- libraries=" $libraries $arg "
- else
- compile_args="$compile_args $arg"
- link_args="$link_args $arg"
- fi
- else
- compile_args="$compile_args $arg"
- link_args="$link_args $arg"
- fi
- ;;
- esac
-done
-
-if test "$dash_c" = "yes" -a "$do_compile" = no -a "$do_link" = no ; then
- # -c was specified. Force do_compile on.
- do_compile=yes
-fi
-
-if test "x$do_compile" = "xyes"; then
- if test "x$dash_c" != "xyes"; then
- compile_args="-c $compile_args"
- fi
-
- $SHOW $CC -I$includedir $H5BLD_CPPFLAGS $CPPFLAGS $H5BLD_CFLAGS $CFLAGS $compile_args
- status=$?
-
- if test "$status" != "0"; then
- exit $status
- fi
-fi
-
-if test "x$do_link" = "xyes"; then
- shared_link=""
-# conditionnaly link with the hl library
- if test "X$HL" = "Xhl"; then
- libraries=" $libraries -lhdf5_hl -lhdf5 "
- else
- libraries=" $libraries -lhdf5 "
- fi
- link_args="$link_args -L${libdir}"
-
- case "$kind" in
- gcc|linux*)
- # MacOS X doesn't support the "-Wl,-rpath -Wl," style of linker flags.
- # It appears to want none of them specified.
- case "$host_os" in
- darwin*) flag="" ;;
- *) flag="-Wl,-rpath -Wl," ;;
- esac
- ;;
- hpux*) flag="-Wl,+b -Wl," ;;
- freebsd*|solaris*) flag="-R" ;;
- rs6000*|aix*) flag="-L" ;;
- sgi) flag="-rpath " ;;
- *) flag="" ;;
- esac
-
- if test -n "$flag"; then
- shared_link="${flag}${libdir}"
- fi
-
- if test "x$USE_SHARED_LIB" != "xyes"; then
- # The "-lhdf5" & "-lhdf5_hl" flags are in here already...This is a static
- # compile though, so change it to the static version (.a) of the library.
- new_libraries=""
- for lib in $libraries; do
- case "$lib" in
- -lhdf5)
- new_libraries="$new_libraries ${libdir}/libhdf5.a"
- ;;
- -lhdf5_hl)
- new_libraries="$new_libraries ${libdir}/libhdf5_hl.a"
- ;;
- *)
- new_libraries="$new_libraries $lib"
- ;;
- esac
- done
- libraries="$new_libraries"
- fi
-
- for lib in $libraries; do
- if echo $link_args | grep " $lib " > /dev/null ||
- echo $link_args | grep " $lib$" > /dev/null; then
- :
- else
- link_args="$link_args $lib "
- fi
- done
-
- # The LIBS are just a bunch of -l* libraries necessary for the HDF5
- # module. It's okay if they're included twice in the compile line.
- link_args="$link_args $H5BLD_LDFLAGS $H5BLD_LIBS"
-
- # User's CPPFLAGS and CFLAGS come after their H5BLD counterparts. User's
- # LDFLAGS come just before clibpath, user's LIBS come after $link_objs and
- # before the hdf5 libraries in $link_args, followed by any external library
- # paths and libraries from AM_LDFLAGS, LDFLAGS, AM_LIBS or LIBS carried in
- # from the hdf5 build. The order of the flags is intended to give precedence
- # to the user's flags.
- $SHOW $CLINKER $H5BLD_CPPFLAGS $CPPFLAGS $H5BLD_CFLAGS $CFLAGS $LDFLAGS $clibpath $link_objs $LIBS $link_args $shared_link
- status=$?
-fi
-
-exit $status
diff --git a/tools/misc/h5redeploy.in b/tools/misc/h5redeploy.in
deleted file mode 100644
index 242459a..0000000
--- a/tools/misc/h5redeploy.in
+++ /dev/null
@@ -1,216 +0,0 @@
-#! /bin/sh
-#
-# Copyright by The HDF Group.
-# Copyright by the Board of Trustees of the University of Illinois.
-# All rights reserved.
-#
-# This file is part of HDF5. The full HDF5 copyright notice, including
-# terms governing use, modification, and redistribution, is contained in
-# the COPYING file, which can be found at the root of the source code
-# distribution tree, or in https://support.hdfgroup.org/ftp/HDF5/releases.
-# If you do not have access to either file, you may request a copy from
-# help@hdfgroup.org.
-#
-
-## Update HDF5 compiler tools after the HDF5 software has been installed ##
-## in a new location. ##
-## For help page, use "h5redeploy -help" ##
-## ##
-
-# Constants definitions
-EXIT_SUCCESS=0
-EXIT_FAILURE=1
-
-# Function definitions
-
-# show help page
-usage() {
- # A wonderfully informative "usage" message.
- echo "usage: $prog_name [OPTIONS]"
- echo " OPTIONS:"
- echo " -help|help This help message"
- echo " -echo Show all the shell commands executed"
- echo " -force No prompt, just do it"
- echo " -prefix=DIR New directory to find HDF5 lib/ and include/"
- echo " subdirectories [default: current directory]"
- echo " -exec-prefix=DIR New directory to find HDF5 lib/"
- echo " subdirectory [default: <prefix>]"
- echo " -libdir=DIR New directory for the HDF5 lib directory"
- echo " [default: <exec-prefix>/lib]"
- echo " -includedir=DIR New directory for the HDF5 header files"
- echo " [default: <prefix>/include]"
- echo " -tool=TOOL Tool to update. TOOL must be in the current"
- echo " directory and writable. [default: $h5tools]"
- echo " -show Show the commands without executing them"
- echo " "
- exit $EXIT_FAILURE
-}
-
-# display variable values
-dump_vars(){
- echo "====Showing all variable values====="
- echo prefix=$prefix
- echo h5tools=$h5tools
- echo "====End Showing====="
-}
-
-# show actions to be taken
-show_action()
-{
- echo "Update the following tools because they are now installed at a new directory"
- for t in $foundtools; do
- echo "${t}:"
- echo " current setting=`sed -e '/^prefix=/s/prefix=//p' -e d $t`"
- echo " new setting="\""$prefix"\"
- done
-}
-
-
-# Report Error message
-ERROR()
-{
- echo "***ERROR***"
- echo "$1"
-}
-
-# Main
-#
-############################################################################
-## Installation directories: ##
-## prefix architecture-independent files. ##
-## exec_prefix architecture-dependent files, default is <prefix>. ##
-## libdir libraries, default is <exec_prefix>/lib. ##
-## includedir header files, default is <prefix/include>. ##
-## Not used here: ##
-## bindir executables, <exec_prefix/bin>. ##
-############################################################################
-# Initialization
-h5tools="h5cc h5pcc h5fc h5pfc h5c++" # possible hdf5 tools
-foundtools= # tools found and will be modified
-fmode= # force mode, default is off
-prefix=
-exec_prefix=
-libdir=
-includedir=
-
-# Parse options
-for arg in $@ ; do
- case "$arg" in
- -prefix=*)
- prefix="`echo $arg | cut -f2 -d=`"
- ;;
- -exec-prefix=*)
- exec_prefix="`echo $arg | cut -f2 -d=`"
- ;;
- -libdir=*)
- libdir="`echo $arg | cut -f2 -d=`"
- ;;
- -includedir=*)
- includedir="`echo $arg | cut -f2 -d=`"
- ;;
- -echo)
- set -x
- ;;
- -show)
- SHOW="echo"
- ;;
- -tool=*)
- h5tools="`echo $arg | cut -f2 -d=`"
- ;;
- -help|help)
- usage
- ;;
- -force)
- fmode=yes
- ;;
- *)
- ERROR "Unknown Option($arg)"
- usage
- exit $EXIT_FAILURE
- ;;
- esac
-done
-
-# Set to default value, one above where i am, if not given by user
-if [ -z "$prefix" ]; then
- prefix=`(cd ..;pwd)`
-fi
-if [ -z "$exec_prefix" ]; then
- exec_prefix='${prefix}' # use single quotes to prevent expansion of $
-fi
-if [ -z "$libdir" ]; then
- libdir='${exec_prefix}'/lib # use single quotes to prevent expansion of $
-fi
-if [ -z "$includedir" ]; then
- includedir='${prefix}'/include # use single quotes to prevent expansion of $
-fi
-
-for x in $h5tools; do
- if [ -f $x ]; then
- foundtools="$foundtools $x"
- if [ ! -w $x ]; then
- ERROR "h5tool($x) is not writable"
- exit $EXIT_FAILURE
- fi
- fi
-done
-
-if [ -z "$foundtools" ]; then
- ERROR "found no tools to modify"
- exit $EXIT_FAILURE
-fi
-
-# Show actions to be taken and get consent
-show_action
-# Ask confirmation unless fmode is on
-if [ x-$fmode = x- ]; then
- echo "Continue? (yes/no)"
- read ansx
- ans=`echo $ansx | tr "[A-Z]" "[a-z]"`
- if [ x-$ans != x-yes ]; then
- echo ABORT. No tools changed.
- exit $EXIT_FAILURE
- fi
-fi
-
-
-# Create the update commands
-CMDFILE=/tmp/h5redeploy.$$
-touch $CMDFILE
-chmod 0600 $CMDFILE
-echo "/^prefix=/c" >> $CMDFILE
-echo prefix=\""$prefix"\" >> $CMDFILE
-echo . >> $CMDFILE
-echo "/^exec_prefix=/c" >> $CMDFILE
-echo exec_prefix=\""$exec_prefix"\" >> $CMDFILE
-echo . >> $CMDFILE
-echo "/^libdir=/c" >> $CMDFILE
-echo libdir=\""$libdir"\" >> $CMDFILE
-echo . >> $CMDFILE
-echo "/^includedir=/c" >> $CMDFILE
-echo includedir=\""$includedir"\" >> $CMDFILE
-echo . >> $CMDFILE
-(echo w; echo q) >> $CMDFILE
-
-
-# Update them
-if [ "$SHOW" = "echo" ]; then
- echo "===Update commands are:===="
- cat $CMDFILE
- echo "===End Update commands====="
-fi
-
-for t in $foundtools; do
- echo Update $t ...
- COMMAND="ed - $t"
- if [ "$SHOW" = "echo" ]; then
- echo $COMMAND
- else
- $COMMAND < $CMDFILE
- fi
-done
-
-
-# Cleanup
-rm -f $CMDFILE
-exit $EXIT_SUCCESS